import { create } from "zustand";

type TStatusToolState = {
  statusTool: string | boolean;
  setStatusTool: (value: TStatusToolState["statusTool"]) => void;
};

export const useStatusToolStore = create<TStatusToolState>((set) => ({
  statusTool: false,
  props: {},
  setStatusTool: (value: TStatusToolState["statusTool"]) =>
    set({ statusTool: value }),
}));
